#!/bin/sh
#
# ripristina.sh: script che ripristina i file di configurazione modificati
#
# Copyright (C) 2003-2005 Truelite s.r.l
# by Simone Piccardi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program or from the site that you downloaded it
# from; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307   USA
#

echo "Undo LDAP client configuration"
cp -f /etc/ldap/ldap.conf.orig /etc/ldap/ldap.conf 
cp -f /etc/ssl/certs/cacert.pem.orig /etc/ssl/certs/cacert.pem
echo "Undo NSS client configuration"
cp -f /etc/nsswitch.conf.orig /etc/nsswitch.conf 
cp -f /etc/libnss-ldap.conf.orig /etc/libnss-ldap.conf
echo "Undo PAM LDAP client configuration"
cp -f /etc/pam_ldap.conf.orig  /etc/pam_ldap.conf
cp -f /etc/pam.d/common-account.orig /etc/pam.d/common-account
cp -f /etc/pam.d/common-password.orig /etc/pam.d/common-password
cp -f /etc/pam.d/common-session.orig  /etc/pam.d/common-session
cp -f /etc/pam.d/common-auth.orig  /etc/pam.d/common-auth
echo "Undo /etc/fstab configuration"
cp -f /etc/fstab.orig /etc/fstab 
echo "Undo dhclient configuration"
cp -f /etc/dhclient.conf.orig /etc/dhclient.conf
echo "Undo GRUB configuration"
cp -f /boot/grub/menu.lst.orig.preclient /boot/grub/menu.lst
